# definitions

*Definitions* are similar to parameters in that you can refer to them from within the commissioning file. They are different to parameters as they are intended for solely internal use, i.e. they can’t be re-configured at any time.

Values of definitions can be of any type - including object types - and be referred to by the `!ref` or `!merge` function, similar to [parameters](/1-8-0/documentation/services/service-commissioning-files/structure-of-service-commissioning-files/parameters.md).

## Example

{% code lineNumbers="true" %}

```yaml
modbusEndpointDefaults:
    connectionId: !ref modbusConnection
    operation: subscribe
    interval: 1000
    address:
        fc: 3
        length: 2
```

{% endcode %}

In the above example using `!ref modbusEndpointDefaults` would result in a the value:

{% code lineNumbers="true" %}

```yaml
connectionId: !ref modbusConnection
  operation: subscribe
  interval: 1000
  address:
    fc: 3
    length: 2
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/1-8-0/documentation/services/service-commissioning-files/structure-of-service-commissioning-files/definitions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
